From: <a href="/blend/av.cgi?id=10">Galadrial</a><BR>
Date: 18 February 2005<P>

Misti Chica!<BR>
<BR>
MAny happy ones girl!
<HR>
From: <a href="/blend/av.cgi?id=12">Tanqueray Cowboy</a><BR>
Date: 18 February 2005<P>

Lady Galadrial,<BR>
I think NOTHING to wear is actually the point, the goat skin is optional.  ;-&gt;<BR>
Great see you -- not only on the board but writing for us again!<BR>
Congratulations on the book!!!<BR>
<BR>
Misti,<BR>
Happy Birthday!<BR>
<BR>
Echo,<BR>
I'll bring the wine if you...<BR>
<BR>
~tc
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 18 February 2005<P>

thanks, Lisa and Tanq!<BR>
I ate fried chicken from Church's with my boyfriend and bought cds at Hasting's and watched "Garden State," the most romantic movie I've seen since "Annie Hall." Doesn't get much better than that!<BR>
<BR>
...oh, and I need to plug "Napoleon Dynamite"! Pedro for President!
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 18 February 2005<P>

Misti~<BR>
<BR>
So sorry I'm late on saying this--but Happy Birthday!  I'm glad that it was wonderful! Hugs!<BR>
<BR>
Love and smiling hope, Ali
<HR>
From: <a href="/blend/av.cgi?id=10">galadrial</a><BR>
Date: 18 February 2005<P>

Tanq honey...<BR>
<BR>
<BR>
From your lips to god's ears!<BR>
Only took 32 years...and my publisher is after a second collection in the Spring...<BR>
<BR>
That one is adults only, however!<BR>
;)
<HR>